今天新装了一个WordPress在CentOS 8上。
安装后尝试安装插件,提示错误:An unexpected error occurred. something may be wrong with wordpress.org or this server configuration.
在wp-config.php内打开define( 'WP_DEBUG', true );
这时候显示:WordPress could not establish a secure connection to WordPress.org.

这里提供解决方法:
1. 检测OpenSSL,php-curl和libcurl是否都是最新版。
2. 让SElinux允许httpd访问网络:setsebool -P httpd_can_network_connect 1